/finance/invoice/{id}

Update an invoice

Update an invoice

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Path Parameters

NameTypeRequiredDescription
idintegerYesinvoice ID

Body Parameters

NameTypeRequiredDescription
invoiceapp.InvoiceYesinvoice

Parameter Models

Inspect object parameters and nested model references without loading the full Swagger file in the browser.

invoiceBody parameterapp.Invoice
accounting_contact
No description.
accounting_contact_id
integer
No description.
add_estimate_of_cost
string
No description.
address
No description.
address_id
integer
No description.
agency_service_total
number
No description.
akonto
No description.
akonto_of
integer
estimate id
allowance_days
integer
No description.
allowance_mode
No description.
allowance_percentage
number
No description.
allowance_total
number
No description.
asset_account
string
No description.
audit_logs
No description.
collapse_position_groups
No description.
created_at
integer
No description.
custom_fields
No description.
date_document
integer
No description.
date_due
integer
No description.
date_dunning
integer
No description.
date_final_notice
integer
No description.
date_payment
integer
No description.
date_reminder
integer
No description.
description
string
No description.
display_vat_in_positions
boolean
No description.
document_type_label
string
No description.
external
No description.
external_service_total
number
No description.
external_services
No description.
foot_note
string
No description.
gross_total
number
No description.
head_note
string
No description.
head_note_dunning
string
No description.
head_note_final_notice
string
No description.
head_note_reminder
string
No description.
hide_document_totals
boolean
No description.
hide_external_services
boolean
No description.
hide_group_totals
boolean
No description.
hide_groups
boolean
No description.
hide_position_amount_and_unit
boolean
No description.
hide_position_group_header
boolean
No description.
hide_position_totals
boolean
No description.
hide_position_value_per_unit
boolean
No description.
hide_positions
boolean
No description.
id
integer
No description.
identification_code
string
No description.
is_partial_invoice
boolean
No description.
job
No description.
job_id
integer
No description.
lang
string
No description.
markup
integer
No description.
markup_label
string
No description.
modified_at
integer
No description.
name
string
No description.
net_total
number
No description.
organisation
No description.
organisation_id
integer
No description.
page_break_before_foot_note
boolean
No description.
page_break_before_head_note
boolean
No description.
parent_document_relations
No description.
41 additional properties are hidden on this page to keep the endpoint view small. Open the model page for a focused view.
cURL
curl -X PUT 'https://<tenant>.dieagenturverwaltung.de/api/v2/finance/invoice/123' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "accounting_contact": {},
  "accounting_contact_id": 123,
  "add_estimate_of_cost": "string",
  "address": {},
  "address_id": 123,
  "agency_service_total": 123.45,
  "akonto": {},
  "akonto_of": 123,
  "allowance_days": 123,
  "allowance_mode": "none",
  "allowance_percentage": 123.45,
  "allowance_total": 123.45,
  "asset_account": "string",
  "audit_logs": [
    {}
  ],
  "collapse_position_groups": 0,
  "created_at": 123,
  "custom_fields": [
    {}
  ],
  "date_document": 123,
  "date_due": 123,
  "date_dunning": 123,
  "date_final_notice": 123,
  "date_payment": 123,
  "date_reminder": 123,
  "description": "string",
  "display_vat_in_positions": true,
  "document_type_label": "string",
  "external": [
    {}
  ],
  "external_service_total": 123.45,
  "external_services": [
    {}
  ],
  "foot_note": "string",
  "gross_total": 123.45,
  "head_note": "string",
  "head_note_dunning": "string",
  "head_note_final_notice": "string",
  "head_note_reminder": "string",
  "hide_document_totals": true,
  "hide_external_services": true,
  "hide_group_totals": true,
  "hide_groups": true,
  "hide_position_amount_and_unit": true,
  "hide_position_group_header": true,
  "hide_position_totals": true,
  "hide_position_value_per_unit": true,
  "hide_positions": true,
  "id": 123,
  "identification_code": "string",
  "is_partial_invoice": true,
  "job": {},
  "job_id": 123,
  "lang": "string",
  "markup": 123,
  "markup_label": "string",
  "modified_at": 123,
  "name": "string",
  "net_total": 123.45,
  "organisation": {},
  "organisation_id": 123,
  "page_break_before_foot_note": true,
  "page_break_before_head_note": true,
  "parent_document_relations": [
    {}
  ],
  "parent_estimates": [
    {}
  ],
  "payed_amount_debit": 123.45,
  "payment_method": {},
  "payment_method_id": 123,
  "payment_status": 123,
  "period_of_performance_end": 123,
  "period_of_performance_start": 123,
  "person": {},
  "person_id": 123,
  "positions": [
    {}
  ],
  "print_version_show_period_of_performance": true,
  "recipient_addr1": "string",
  "recipient_addr2": "string",
  "recipient_address": "string",
  "recipient_city": "string",
  "recipient_country_code": "AF",
  "recipient_email": "string",
  "recipient_organisation_name": "string",
  "recipient_person_first_name": "string",
  "recipient_person_last_name": "string",
  "recipient_zip": "string",
  "show_commissions_in_group": true,
  "show_commissions_in_position": true,
  "show_commissions_in_total": true,
  "show_vat": true,
  "small_job": {},
  "small_user": {},
  "stationary": {},
  "stationary_id": 123,
  "status": "in Bearbeitung",
  "storno": {},
  "storno_invoices": [
    {}
  ],
  "storno_of": 123,
  "subscribed_users": [
    {}
  ],
  "tab_left": "string",
  "tab_right": "string",
  "token": "string",
  "user": {},
  "user_id": 123,
  "vat": 123.45,
  "vat_id": "string"
}'
Request Body (application/json)
{
  "accounting_contact": {...},
  "accounting_contact_id": 123,
  "add_estimate_of_cost": "string",
  "address": {...},
  "address_id": 123,
  "agency_service_total": 123.45,
  "akonto": {...},
  "akonto_of": 123,
  "allowance_days": 123,
  "allowance_mode": "none",
  "allowance_percentage": 123.45,
  "allowance_total": 123.45,
  "asset_account": "string",
  "audit_logs": [
    {...}
  ],
  "collapse_position_groups": 0,
  "created_at": 123,
  "custom_fields": [
    {...}
  ],
  "date_document": 123,
  "date_due": 123,
  "date_dunning": 123,
  "date_final_notice": 123,
  "date_payment": 123,
  "date_reminder": 123,
  "description": "string",
  "display_vat_in_positions": true,
  "document_type_label": "string",
  "external": [
    {...}
  ],
  "external_service_total": 123.45,
  "external_services": [
    {...}
  ],
  "foot_note": "string",
  "gross_total": 123.45,
  "head_note": "string",
  "head_note_dunning": "string",
  "head_note_final_notice": "string",
  "head_note_reminder": "string",
  "hide_document_totals": true,
  "hide_external_services": true,
  "hide_group_totals": true,
  "hide_groups": true,
  "hide_position_amount_and_unit": true,
  "hide_position_group_header": true,
  "hide_position_totals": true,
  "hide_position_value_per_unit": true,
  "hide_positions": true,
  "id": 123,
  "identification_code": "string",
  "is_partial_invoice": true,
  "job": {...},
  "job_id": 123,
  "lang": "string",
  "markup": 123,
  "markup_label": "string",
  "modified_at": 123,
  "name": "string",
  "net_total": 123.45,
  "organisation": {...},
  "organisation_id": 123,
  "page_break_before_foot_note": true,
  "page_break_before_head_note": true,
  "parent_document_relations": [
    {...}
  ],
  "parent_estimates": [
    {...}
  ],
  "payed_amount_debit": 123.45,
  "payment_method": {...},
  "payment_method_id": 123,
  "payment_status": 123,
  "period_of_performance_end": 123,
  "period_of_performance_start": 123,
  "person": {...},
  "person_id": 123,
  "positions": [
    {...}
  ],
  "print_version_show_period_of_performance": true,
  "recipient_addr1": "string",
  "recipient_addr2": "string",
  "recipient_address": "string",
  "recipient_city": "string",
  "recipient_country_code": "AF",
  "recipient_email": "string",
  "recipient_organisation_name": "string",
  "recipient_person_first_name": "string",
  "recipient_person_last_name": "string",
  "recipient_zip": "string",
  "show_commissions_in_group": true,
  "show_commissions_in_position": true,
  "show_commissions_in_total": true,
  "show_vat": true,
  "small_job": {...},
  "small_user": {...},
  "stationary": {...},
  "stationary_id": 123,
  "status": "in Bearbeitung",
  "storno": {...},
  "storno_invoices": [
    {...}
  ],
  "storno_of": 123,
  "subscribed_users": [
    {...}
  ],
  "tab_left": "string",
  "tab_right": "string",
  "token": "string",
  "user": {...},
  "user_id": 123,
  "vat": 123.45,
  "vat_id": "string"
}

Responses

200OK
app.Invoiceapplication/json
Example
{
  "accounting_contact": {...},
  "accounting_contact_id": 123,
  "add_estimate_of_cost": "string",
  "address": {...},
  "address_id": 123,
  "agency_service_total": 123.45,
  "akonto": {...},
  "akonto_of": 123,
  "allowance_days": 123,
  "allowance_mode": "none",
  "allowance_percentage": 123.45,
  "allowance_total": 123.45,
  "asset_account": "string",
  "audit_logs": [
    {...}
  ],
  "collapse_position_groups": 0,
  "created_at": 123,
  "custom_fields": [
    {...}
  ],
  "date_document": 123,
  "date_due": 123,
  "date_dunning": 123,
  "date_final_notice": 123,
  "date_payment": 123,
  "date_reminder": 123,
  "description": "string",
  "display_vat_in_positions": true,
  "document_type_label": "string",
  "external": [
    {...}
  ],
  "external_service_total": 123.45,
  "external_services": [
    {...}
  ],
  "foot_note": "string",
  "gross_total": 123.45,
  "head_note": "string",
  "head_note_dunning": "string",
  "head_note_final_notice": "string",
  "head_note_reminder": "string",
  "hide_document_totals": true,
  "hide_external_services": true,
  "hide_group_totals": true,
  "hide_groups": true,
  "hide_position_amount_and_unit": true,
  "hide_position_group_header": true,
  "hide_position_totals": true,
  "hide_position_value_per_unit": true,
  "hide_positions": true,
  "id": 123,
  "identification_code": "string",
  "is_partial_invoice": true,
  "job": {...},
  "job_id": 123,
  "lang": "string",
  "markup": 123,
  "markup_label": "string",
  "modified_at": 123,
  "name": "string",
  "net_total": 123.45,
  "organisation": {...},
  "organisation_id": 123,
  "page_break_before_foot_note": true,
  "page_break_before_head_note": true,
  "parent_document_relations": [
    {...}
  ],
  "parent_estimates": [
    {...}
  ],
  "payed_amount_debit": 123.45,
  "payment_method": {...},
  "payment_method_id": 123,
  "payment_status": 123,
  "period_of_performance_end": 123,
  "period_of_performance_start": 123,
  "person": {...},
  "person_id": 123,
  "positions": [
    {...}
  ],
  "print_version_show_period_of_performance": true,
  "recipient_addr1": "string",
  "recipient_addr2": "string",
  "recipient_address": "string",
  "recipient_city": "string",
  "recipient_country_code": "AF",
  "recipient_email": "string",
  "recipient_organisation_name": "string",
  "recipient_person_first_name": "string",
  "recipient_person_last_name": "string",
  "recipient_zip": "string",
  "show_commissions_in_group": true,
  "show_commissions_in_position": true,
  "show_commissions_in_total": true,
  "show_vat": true,
  "small_job": {...},
  "small_user": {...},
  "stationary": {...},
  "stationary_id": 123,
  "status": "in Bearbeitung",
  "storno": {...},
  "storno_invoices": [
    {...}
  ],
  "storno_of": 123,
  "subscribed_users": [
    {...}
  ],
  "tab_left": "string",
  "tab_right": "string",
  "token": "string",
  "user": {...},
  "user_id": 123,
  "vat": 123.45,
  "vat_id": "string"
}
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
404Not Found
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}